put
https://{environment}.neomode.com.br/management/catalog/stocks
Updates a list of product sku stock.
A upsert statement verify if already exists a product with the code set on body request and updates an existing product or creates a new one.
This request is an array, so you can insert more than one stock by query.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Take notice!
This request updates all values already set. Pay attention and don't have anything lost!
Request body example
[
{
"Quantity" : 100,
"SellerCode" : "1", // seller code
"SkuCode" : "1780.23.0"
},
{
"Quantity" : 100,
"SellerCode" : "63845114000152", // cnpj
"SkuCode" : "1780.23.0"
}
]
Fields Description
| Field | Type | Description |
|---|---|---|
| "Quantity" | Int | The product sku quantity on stock. |
| "SellerCode" | String | The seller's company code. |
| "SkuCode" | String | The sku code. |
Result
A 204- No Content result means that the stock was successfully updated.
